Create checkout session
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/billing/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_period": "monthly",
"coupon_code": "<string>"
}
'{
"checkout_url": "<string>",
"session_id": "<string>"
}Create Checkout Session
Initiate a Stripe checkout session for plan upgrade or purchase
POST
/
api
/
workspace
/
{workspaceId}
/
billing
/
checkout
Create checkout session
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/billing/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_period": "monthly",
"coupon_code": "<string>"
}
'{
"checkout_url": "<string>",
"session_id": "<string>"
}Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Path Parameters
The workspace ID
Pattern:
^ws_[a-z0-9]+$Body
application/json
Last modified on February 16, 2026
⌘I